diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/businesscard.vcproj PDFlib-Lite-7.0.5/bind/pdflib/c/businesscard.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/c/businesscard.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/businesscard.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;NDEBUG;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
@@ -83,7 +83,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/businesscard.pch"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/chartab.vcproj PDFlib-Lite-7.0.5/bind/pdflib/c/chartab.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/c/chartab.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/chartab.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/chartab.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;NDEBUG;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/hello.vcproj PDFlib-Lite-7.0.5/bind/pdflib/c/hello.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/c/hello.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/hello.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/hello.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;NDEBUG;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/image.vcproj PDFlib-Lite-7.0.5/bind/pdflib/c/image.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/c/image.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/image.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;NDEBUG;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
@@ -83,7 +83,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/image.pch"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/invoice.vcproj PDFlib-Lite-7.0.5/bind/pdflib/c/invoice.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/c/invoice.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/invoice.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/invoice.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;NDEBUG;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/pdfclock.vcproj PDFlib-Lite-7.0.5/bind/pdflib/c/pdfclock.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/c/pdfclock.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/pdfclock.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/pdfclock.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;NDEBUG;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/quickreference.vcproj PDFlib-Lite-7.0.5/bind/pdflib/c/quickreference.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/c/quickreference.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/quickreference.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;NDEBUG;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
@@ -83,7 +83,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;PDFLIB_STATIC;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/quickreference.pch"
Dateien PDFlib-Lite-7.0.4/bind/pdflib/c/samples.mcp und PDFlib-Lite-7.0.5/bind/pdflib/c/samples.mcp sind verschieden.
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/c/starter_type3font.c PDFlib-Lite-7.0.5/bind/pdflib/c/starter_type3font.c
--- PDFlib-Lite-7.0.4/bind/pdflib/c/starter_type3font.c	2009-06-08 17:57:33.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/c/starter_type3font.c	2010-04-29 15:50:10.000000000 +0200
@@ -1,4 +1,4 @@
-/* $Id: starter_type3font.c,v 1.1.2.6 2008/04/30 15:30:07 rjs Exp $
+/* $Id: starter_type3font.c,v 1.1.2.7 2009/11/16 10:30:42 kurt Exp $
  * Type 3 font starter:
  * Create a simple Type 3 font from vector data
  *
@@ -61,11 +61,11 @@
         PDF_end_glyph(p);
         PDF_begin_glyph(p, "space", 266, 0, 0, 0, 0);
         PDF_end_glyph(p);
-        PDF_begin_glyph(p, "l", 266, 69, 0, 197, 530);
+        PDF_begin_glyph(p, "l", 266, 0, 0, 266, 570);
         PDF_setlinewidth(p, 20);
         PDF_setdash(p, 0, 0);
         x = 197;
-        y = 0;
+        y = 10;
         PDF_moveto(p, x, y);
         y += 530;
         PDF_lineto(p, x, y);
@@ -76,7 +76,6 @@
         x += 128;
         PDF_lineto(p, x, y);
 
-        PDF_closepath(p);
         PDF_stroke(p);
         PDF_end_glyph(p);
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/businesscard.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/businesscard.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/businesscard.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/businesscard.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
@@ -84,7 +84,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/businesscard.pch"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/chartab.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/chartab.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/chartab.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/chartab.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/chartab.pch"
@@ -84,7 +84,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/hello.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/hello.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/hello.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/hello.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/hello.pch"
@@ -84,7 +84,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/image.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/image.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/image.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/image.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
@@ -84,7 +84,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/image.pch"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/invoice.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/invoice.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/invoice.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/invoice.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/invoice.pch"
@@ -84,7 +84,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/pdfclock.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/pdfclock.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/pdfclock.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/pdfclock.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -22,7 +22,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/pdfclock.pch"
@@ -84,7 +84,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/quickreference.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/quickreference.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/quickreference.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/quickreference.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
@@ -84,7 +84,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/quickreference.pch"
Dateien PDFlib-Lite-7.0.4/bind/pdflib/cpp/samples.mcp und PDFlib-Lite-7.0.5/bind/pdflib/cpp/samples.mcp sind verschieden.
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_3d.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_3d.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_3d.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_3d.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/starter_3d.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_basic.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_basic.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_basic.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_basic.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/starter_basic.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_block.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_block.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_block.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_block.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/starter_block.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_color.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_color.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_color.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_color.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -1,197 +1,197 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="7.10"
-	Name="starter_color"
-	ProjectGUID="{55F0E0EC-EF05-4105-8A5A-BD474B87A5E4}"
-	SccProjectName=""
-	SccLocalPath="">
-	<Platforms>
-		<Platform
-			Name="Win32"/>
-	</Platforms>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory=".\Debug"
-			IntermediateDirectory=".\Debug"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2">
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\Debug/starter_color.pch"
-				AssemblerListingLocation=".\Debug/"
-				ObjectFile=".\Debug/"
-				ProgramDataBaseFileName=".\Debug/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-				DebugInformationFormat="4"
-				CompileAs="0"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
-				OutputFile=".\Debug/starter_color.exe"
-				Version="6.0"
-				LinkIncremental="2"
-				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Debug,..\..\pdflib"
-				GenerateDebugInformation="TRUE"
-				SubSystem="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"
-				TypeLibraryName=".\Debug/starter_color.tlb"
-				HeaderFileName=""/>
-			<Tool
-				Name="VCPostBuildEventTool"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1031"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="."
-			IntermediateDirectory=".\Release"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2">
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
-				StringPooling="TRUE"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="TRUE"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\Release/starter_color.pch"
-				AssemblerListingLocation=".\Release/"
-				ObjectFile=".\Release/"
-				ProgramDataBaseFileName=".\Release/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-				CompileAs="0"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
-				OutputFile="release\starter_color.exe"
-				Version="6.0"
-				LinkIncremental="2"
-				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Release,..\..\pdflib"
-				SubSystem="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"
-				TypeLibraryName="./starter_color.tlb"
-				HeaderFileName=""/>
-			<Tool
-				Name="VCPostBuildEventTool"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1031"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
-			<File
-				RelativePath="pdflib.cpp">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="starter_color.cpp">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl">
-			<File
-				RelativePath="pdflib.hpp">
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="7.10"
+	Name="starter_color"
+	ProjectGUID="{55F0E0EC-EF05-4105-8A5A-BD474B87A5E4}"
+	SccProjectName=""
+	SccLocalPath="">
+	<Platforms>
+		<Platform
+			Name="Win32"/>
+	</Platforms>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory=".\Debug"
+			IntermediateDirectory=".\Debug"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\Debug/starter_color.pch"
+				AssemblerListingLocation=".\Debug/"
+				ObjectFile=".\Debug/"
+				ProgramDataBaseFileName=".\Debug/"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				DebugInformationFormat="4"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
+				OutputFile=".\Debug/starter_color.exe"
+				Version="6.0"
+				LinkIncremental="2"
+				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Debug,..\..\pdflib"
+				GenerateDebugInformation="TRUE"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName=".\Debug/starter_color.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG"
+				Culture="1031"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="."
+			IntermediateDirectory=".\Release"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				InlineFunctionExpansion="1"
+				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
+				StringPooling="TRUE"
+				RuntimeLibrary="0"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\Release/starter_color.pch"
+				AssemblerListingLocation=".\Release/"
+				ObjectFile=".\Release/"
+				ProgramDataBaseFileName=".\Release/"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
+				OutputFile="release\starter_color.exe"
+				Version="6.0"
+				LinkIncremental="2"
+				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Release,..\..\pdflib"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName="./starter_color.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG"
+				Culture="1031"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
+			<File
+				RelativePath="pdflib.cpp">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="starter_color.cpp">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl">
+			<File
+				RelativePath="pdflib.hpp">
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
